TTemplate
Keywords: uk.ac.ic.doc.automed.templates.wrapper.TTemplate class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.templates.wrapper
Class TTemplate

    java.lang.Object
      uk.ac.ic.doc.automed.templates.wrapper.TTemplate

    public class TTemplate

extends java.lang.Object

Field Summary
`protected java.lang.String` | `compositeDescription`
`protected java.lang.String` | `compositeName`
`protected boolean` | `inconsistent`
`protected java.util.Hashtable` | `inputs`
`protected boolean` | `isNewTemplate`
`protected int` | `lastArgumentPosition`
`protected java.util.ArrayList` | `myStatements`
`protected CompositeTransformation` | `myTrans`
`protected java.util.Hashtable` | `outputs`
`protected boolean` | `preservesEq`
`protected boolean` | `wasExecuted`

Constructor Summary
`TTemplate(java.lang.String name)`
`TTemplate(java.lang.String name, boolean preservesEq)`
`TTemplate(java.lang.String name, java.lang.String description)`
`TTemplate(java.lang.String name, java.lang.String description, boolean preservesEq)`

Method Summary
`void` | `commit()`
`protected TTemplateArgument` | `getInput(int position)`
`TTemplateArgument` | `getInput(java.lang.String key)`
`TTemplateArgument` | `getOutput(java.lang.String key)`
`int` | `getTransId()`
`boolean` | `isNew()`
`void` | `nextStatement(TStatement st)`
`protected void` | `rollback(CompositeTransformation composite)`
`void` | `setDescription(java.lang.String description)`
`protected void` | `setInput(int position, uk.ac.ic.doc.automed.templates.wrapper.TType type)`
`void` | `setInput(java.lang.String key, java.lang.String argDescription, Construct con)`
`void` | `setInput(java.lang.String key, java.lang.String argDescription, Construct con, int isList)`
`void` | `setInput(java.lang.String key, java.lang.String argDescription, Construct con, TTemplateArgument ref)`
`void` | `setInput(java.lang.String key, java.lang.String argDescription, int typeID)`
`void` | `setInput(java.lang.String key, java.lang.String argDescription, int typeID, int isList)`
`void` | `setInput(java.lang.String key, java.lang.String argDescription, int elType, TTemplateArgument ref)`
`protected void` | `setOutput(int pos, TStatementArgument sa)`
`void` | `setOutput(java.lang.String key, java.lang.String argDescription, TStatementArgument sa)`
`void` | `setStatementSequence(TStatement[] statements)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inputs

    protected java.util.Hashtable inputs

### outputs

    protected java.util.Hashtable outputs

### lastArgumentPosition

    protected int lastArgumentPosition

### myStatements

    protected java.util.ArrayList myStatements

### wasExecuted

    protected boolean wasExecuted

### isNewTemplate

    protected boolean isNewTemplate

### compositeName

    protected java.lang.String compositeName

### compositeDescription

    protected java.lang.String compositeDescription

### preservesEq

    protected boolean preservesEq

### inconsistent

    protected boolean inconsistent

### myTrans

    protected CompositeTransformation myTrans

Constructor Detail

### TTemplate

    public TTemplate(java.lang.String name)
              throws TemplateDefinitionException

Throws:
  `TemplateDefinitionException`

### TTemplate

    public TTemplate(java.lang.String name,
                     java.lang.String description,
                     boolean preservesEq)
              throws TemplateDefinitionException

Throws:
  `TemplateDefinitionException`

### TTemplate

    public TTemplate(java.lang.String name,
                     java.lang.String description)
              throws TemplateDefinitionException

Throws:
  `TemplateDefinitionException`

### TTemplate

    public TTemplate(java.lang.String name,
                     boolean preservesEq)
              throws TemplateDefinitionException

Throws:
  `TemplateDefinitionException`

Method Detail

### setInput

    protected void setInput(int position,
                            uk.ac.ic.doc.automed.templates.wrapper.TType type)
                     throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### setInput

    public void setInput(java.lang.String key,
                         java.lang.String argDescription,
                         int typeID,
                         int isList)
                  throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### setInput

    public void setInput(java.lang.String key,
                         java.lang.String argDescription,
                         int typeID)
                  throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### setInput

    public void setInput(java.lang.String key,
                         java.lang.String argDescription,
                         Construct con,
                         int isList)
                  throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### setInput

    public void setInput(java.lang.String key,
                         java.lang.String argDescription,
                         Construct con)
                  throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### setInput

    public void setInput(java.lang.String key,
                         java.lang.String argDescription,
                         Construct con,
                         TTemplateArgument ref)
                  throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### setInput

    public void setInput(java.lang.String key,
                         java.lang.String argDescription,
                         int elType,
                         TTemplateArgument ref)
                  throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### setOutput

    protected void setOutput(int pos,
                             TStatementArgument sa)
                      throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### setOutput

    public void setOutput(java.lang.String key,
                          java.lang.String argDescription,
                          TStatementArgument sa)
                   throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### setStatementSequence

    public void setStatementSequence(TStatement[] statements)
                              throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### nextStatement

    public void nextStatement(TStatement st)
                       throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### setDescription

    public void setDescription(java.lang.String description)

### getInput

    protected TTemplateArgument getInput(int position)
                                  throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### getInput

    public TTemplateArgument getInput(java.lang.String key)
                               throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### getOutput

    public TTemplateArgument getOutput(java.lang.String key)
                                throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### getTransId

    public int getTransId()

### isNew

    public boolean isNew()

### commit

    public void commit()
                throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### rollback

    protected void rollback(CompositeTransformation composite)
                     throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD